import type { Component } from 'solid-js';
export type VimeoProps = {
    /** Vimeo id */
    vimeoId: string;
    /** Skip to a time in the video */
    skipTo?: {
        h?: number;
        m: number;
        s: number;
    };
    /** Auto play the video */
    autoPlay?: boolean;
};
export declare const Vimeo: Component<VimeoProps>;
