import type { Component } from 'solid-js';
export type FigmaProps = {
    /** Height for the iFrame. Defaults to 450px */
    height?: number;
    /**
     * A title for your embed which is used for the iframe
     */
    title: string;
    /**
     * The url to the file or frame. Make sure to include the node-id if present
     */
    url: string;
};
export declare const Figma: Component<FigmaProps>;
