import type { Component } from 'solid-js';
export type TwitterListProps = {
    /** Twitter username */
    username: string;
    /** The Twitter list name */
    listName: string;
    /** Color theme of the Timeline */
    theme?: 'light' | 'dark';
    /** Width for the iFrame */
    width?: number | string;
    /** Height for the iFrame. Null is full height */
    height?: number | string;
};
export declare const TwitterList: Component<TwitterListProps>;
